GuidesAPI Reference
Log In
API Reference

Update User

Update a user's details by external_id or Bringg id.

Body Params
int32
required

The ID of the user to update.

string

The external Id of this user (Id in your own system).

boolean

Indicates whether this user is an administrator. The values are: false or 0 - the user is not an administrator, true or 1 - the user is an administrator.

boolean

Indicates whether the driver is located at their "home" base, usually a store or warehouse.

string

The name of the group of users within a team. See Get Companies API.

int32

Bringg's ID for the group of users within a team. See Get Companies API.

boolean

Indicates whether this user is an dispatcher. The values are: false or 0 - the user is not a dispatcher, true or 1 - the user is a dispatcher.

boolean

Indicates whether this user is a driver. The values are: false or 0 - the user is not a driver, true or 1 - the user is a driver.

driver_cost
object

The costs associated with the specific driver's skills, distance, and time. These costs are used by route optimization to prioritize drivers and overrides group-level costs.
Important Notes:
- We recommend keeping driver-specific costs below 10 due to the high impact on optimization results.
- To optimize using costs by skills, provide a breakdown of estimated time on site (ETOS) for each skill in the Create or Update Order request under the extras array. For example: "extras":{ "skills_etos": {"Skill_A": 1000, "Skill_B": 1700} }
- If included, all costs must be specified, even if some are null or 0.

string

The email address of this user. The default value is an empty string.

string

Name of emergency contact (for use with the Rapid SOS application).

string

Phone number of emergency contact (for use with the Rapid SOS application).

string

Your ID for the group of users within a team. See Get Companies API.

string

An array of the external team Id's for the teams of which the new user is a member.

string

The driver's home address, which can be used as a start or end location in route optimization.

float

The geolocation latitude of this driver's home address.

float

The geolocation longitude of this driver's home address.

string

The email address of this user. The default value is an empty string.

string

Determines the UI language for the user. When null, the UI uses the merchant's default language.

string

This user's name. The maximum length is 255 characters.

string

The phone number of this user.

boolean

Indicates whether the driver uses their own vehicle to determine if mileage should be compensated.

int32

The ID of the dispatcher or driver's Privileges group, which associates a dispatcher user with a set of authorization flags.

skills
array of strings

Driver capabilities, such as installation. Bringg matches these skills with the required_skills parameter to automatically assign routes to the most suitable driver based on their capabilities.

skills
string

An array of the team Id's for the teams of which this user is a member.

string

The driver user role ID in your external systems. Can be used instead of user_type_id.

int32

The User Role ID of a driver (used in Route Optimization)

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json